# class ISDNIUAClient | Client side of SIGTRAN ISDN Q.921 UA. More...
Full name | `TelEngine::ISDNIUAClient`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::SIGAdaptClient [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline ISDNIUAClient (const NamedList& params)
- virtual bool processMSG (unsigned char msgVersion, unsigned char msgClass, unsigned char msgType, const DataBlock& msg, int streamId)

## Detailed Description

The common client side of SIGTRAN ISDN Q.921 User Adaptation (RFC4233)

inline ISDNIUAClient (const NamedList& params) | ### ISDNIUAClient

Contructor of an empty IUA client

bool processMSG (unsigned char msgVersion, unsigned char msgClass, unsigned char msgType, const DataBlock& msg, int streamId) | ### processMSG

[virtual]

Reimplemented from SIGTRAN.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.